#ifndef __DIRECT3DWIN_H
#define __DIRECT3DWIN_H

class Direct3DWin : public CFrameWnd
{
public:
	Direct3DWin();
	~Direct3DWin();

protected:
	LPDIRECT3DRM m_pD3D;
	LPDIRECT3DRMDEVICE m_pDevice;
	LPDIRECT3DRMVIEWPORT m_pViewport;
	LPDIRECT3DRMFRAME m_pParentFrame;
	LPDIRECT3DRMFRAME m_pEye;
	LPDIRECT3DRMMESHBUILDER m_pMeshBuilder;
	LPDIRECTDRAWCLIPPER m_pClipper;
	BOOL m_D3DOK;

	BOOL MakeScene();
    BOOL CreateMesh();
    BOOL CreateViewport();
    BOOL CreateLight();

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();

	DECLARE_MESSAGE_MAP()
};

#endif
